/*
 *              haptic.cpp
 *
 *              Main program to run the ME 161 Haptic Display
 *
 *              -Allison Okamura 11/19/96
 *              -Allison Okamura 11/17/98
 */

/* Includes */
#include <stdio.h>
#include <dos.h>
#include <conio.h>
#include <iostream.h>
#include <math.h>
#include "ioboard.h"
#include "calib.h"
#include "run.h"

/* Defines */
#define HI       1
#define LO                0

/* Global Variables */

/* Functions */

/*------------------------- menu ---------------------------*
 *  Draws main menu                                         *
 *----------------------------------------------------------*/
void menu(void)
{
	clrscr();
   textcolor(CYAN);
   gotoxy(1,1); cprintf("ME 161 Haptic Interface Program");
	textcolor(WHITE);
	gotoxy(1,3); cprintf("Choose one of the following: \n");
   gotoxy(1,5); cprintf("(c)alibrate sensor \n");
	gotoxy(1,6); cprintf("(t)est calibration \n");
	gotoxy(1,7); cprintf("(r)un feedback control \n");
	gotoxy(1,9); cprintf("(q)uit \n");
	gotoxy(1,11);
}

/*------------------------- main ---------------------------*
 *  Main Loop                                               *
 *----------------------------------------------------------*/
void main(void)
{
	char key;
	int done = LO;

	init_board();
	menu();

	while (!done) {
	if (kbhit()) {
			key = getch();
			switch(key) {
			case 'c':
				calibrate();
				menu();
				break;
			case 't':
				test_cal();
				menu();
				break;
			case 'r':
				Run();
				menu();
				break;
			case 'q':
				done = HI;
				break;
			default:
				break;
			}
		}
	}

	gotoxy(1,35);
	textcolor(CYAN);
   cprintf("Done.");
}

